package org.bench4q.master.domain.entity.plugin;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Table;

@Entity
@Table(name = "choiceType")
public class ChoiceType extends ParamType {
	private String value;
	private boolean defaultValue;
	private ParamType parentContainer;

	@Column(name = "value")
	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	@Column(name = "defaultValue")
	public boolean isDefaultValue() {
		return defaultValue;
	}

	public void setDefaultValue(Boolean defaultValue) {
		this.defaultValue = defaultValue;
	}

	@ManyToOne
	@JoinColumn(name = "containerId")
	public ParamType getParentContainer() {
		return parentContainer;
	}

	public void setParentContainer(ParamType parentContainer) {
		this.parentContainer = parentContainer;
	}
}
